# Class: NoInterpolationInSingleQuotes

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/no_interpolation_in_single_quotes.coffee

## Variables Summary

rule =

      {
        name: 'no_interpolation_in_single_quotes',
        level: 'ignore',
        message: 'Interpolation in single quoted strings is forbidden',
        description: 'This rule prohibits string interpolation in a single quoted string.\n<pre>\n<code># String interpolation in single quotes is not allowed:\nfoo = \'#{bar}\'\n\n###\nDouble quotes is OK of course\n###\nfoo = "#{bar}"\n</code>\n</pre>\nString interpolation in single quoted strings is permitted by\ndefault.'
      }

tokens =

      ['STRING']

## Instance Method Summary

- # (void) lintToken(token, tokenApi)

## Instance Method Details

# (void) lintToken(token, tokenApi)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input